%% imfuse.m
%% Herve Lombaert, Feb 21st, 2012
%%
%% Fuse two images in an rgb image
%%
function f = imfuse(a,b)

    a  = a; %imnorm(a);
    b  = b; %imnorm(b);
    zr = zeros(size(a)); % all zeros

    % white background
    %idx = (a==0 & b==0);
    %a(idx) = 1;
    %b(idx) = 1;
    %zr(idx) = 1;

    % concatenate in rgb
    %f = cat(3,b,zr,a);
    f = cat(3,1-a,1-zr-a*.15-b*.85,1-b);
    
    if nargout<1
        imagesc(f); daspect([1 1 1]); axis off;
    end
    
end

% normalize image intensities
function a = imnorm(a)

    a = (a-min(a(:))) / range(a(:));

end